{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Gets the status and description of an autofix for a code scanning alert on the repository's default branch.\n\nOAuth app tokens and personal access tokens (classic) need the `security_events` scope to use this endpoint with private or public repositories, or the `public_repo` scope to use this endpoint with only public repositories.","properties":{"path":{"type":"object","properties":{"owner":{"type":"string","description":"The account owner of the repository. The name is not case sensitive."},"repo":{"type":"string","description":"The name of the repository without the `.git` extension. The name is not case sensitive."},"alert_number":{"$ref":"#/definitions/alert-number","description":"The number that identifies an alert. You can find this at the end of the URL for a code scanning alert within GitHub, and in the `number` field in the response from the `GET /repos/{owner}/{repo}/code-scanning/alerts` operation."}},"required":["owner","repo","alert_number"],"additionalProperties":false}},"required":["path"],"additionalProperties":false,"definitions":{"alert-number":{"type":"integer","description":"The security alert number."}}},"name":"Get the status of an autofix for a code scanning alert","id":"github.code-scanning.get-autofix","example":{"path":{"owner":"octocat","repo":"hello-world","alert_number":1}},"maxRequests":1,"summary":false}}